List organization schedules
curl --request GET \
--url https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedulesimport requests
url = "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3b9f7c2e-5d41-4e8a-9a6f-1c2d3e4f5a6b",
"amount": 150000,
"scheduledAt": "2026-11-05T03:00:00.000Z",
"type": "PIX_TRANSFER",
"status": "SCHEDULED",
"organization": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"account": "6702b1e4a9c3d80012f4a7b1",
"wallet": "6702b1e4a9c3d80012f4a7b5",
"createdAt": "2026-10-20T14:32:10.512Z",
"updatedAt": "2026-10-20T14:32:10.512Z",
"createdBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"updatedBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"description": "Office rent — November",
"retryCount": null,
"category": "FLEX_NATIONAL",
"cancelledBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"cancelledAt": "2026-10-22T11:05:41.207Z"
}
],
"next": "6716f0a2c9e77b0012a4d5e1"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "SCHEDULING_ADMIN_REQUIRED",
"origin": "SCHEDULING",
"message": "Organization admin required"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "SCHEDULING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "description",
"message": "Too big: expected string to have <=256 characters",
"code": "DESCRIPTION_MAX"
}
]
}List organization schedules
Lists every schedule of the organization, across all of its wallets, newest first.
GET
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
schedules
List organization schedules
curl --request GET \
--url https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedulesimport requests
url = "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.scheduling.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3b9f7c2e-5d41-4e8a-9a6f-1c2d3e4f5a6b",
"amount": 150000,
"scheduledAt": "2026-11-05T03:00:00.000Z",
"type": "PIX_TRANSFER",
"status": "SCHEDULED",
"organization": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"account": "6702b1e4a9c3d80012f4a7b1",
"wallet": "6702b1e4a9c3d80012f4a7b5",
"createdAt": "2026-10-20T14:32:10.512Z",
"updatedAt": "2026-10-20T14:32:10.512Z",
"createdBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"updatedBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"description": "Office rent — November",
"retryCount": null,
"category": "FLEX_NATIONAL",
"cancelledBy": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"cancelledAt": "2026-10-22T11:05:41.207Z"
}
],
"next": "6716f0a2c9e77b0012a4d5e1"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "SCHEDULING_ADMIN_REQUIRED",
"origin": "SCHEDULING",
"message": "Organization admin required"
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "SCHEDULING",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "description",
"message": "Too big: expected string to have <=256 characters",
"code": "DESCRIPTION_MAX"
}
]
}Only an organization admin can list them. Filter by status, payment type, due date or description. A list filter takes its values comma-separated (
?status=SCHEDULED,FAILED); repeating the parameter (?status=SCHEDULED&status=FAILED) works too. Paginated — see Pagination.Path Parameters
ID of your realm.
Format: UUID
ID of the organization whose schedules you want to list.
Format: UUID
Query Parameters
Only schedules in one of these statuses.
Example (comma-separated list): ?status=SCHEDULED,FAILED
Available options:
SCHEDULED, PROCESSING, CANCELLED, FAILED, DONE Only schedules of one of these payment types.
Example (comma-separated list): ?transactionTypes=PIX_TRANSFER,BANK_SLIP_PAYMENT
Available options:
BANK_SLIP_PAYMENT, PIX_PAYMENT, P2P_TRANSFER, PIX_TRANSFER Only schedules whose description contains this text (case-insensitive).
Maximum string length:
256Only schedules due at or after this instant (ISO 8601 date-time).
Only schedules due at or before this instant (ISO 8601 date-time). Must not be earlier than scheduledAtStart.
Cursor returned as next by the previous page. Omit for the first page.
Page size.
Required range:
1 <= x <= 100